Loading...
Searching...
No Matches
Acceptor.h File Reference

Acceptor encapsulates generic strategy for accepting TPC/IP connection requests. More...

`#include "assa/Logger.h"`
`#include "assa/EventHandler.h"`
`#include "assa/Address.h"`
`#include "assa/Reactor.h"`
`#include "assa/ServiceHandler.h"`

Go to the source code of this file.

## Classes

class | ASSA::Acceptor< SERVICE_HANDLER, PEER_ACCEPTOR >

## Namespaces

namespace | ASSA

## Macros

#define | SH SERVICE_HANDLER
#define | PA PEER_ACCEPTOR

## Detailed Description

Acceptor encapsulates generic strategy for accepting TPC/IP connection requests.

This abstract class implementes the generic strategy for passive initializing communication services.

SERVICE_HANDLER is the type of service. It shall be a type derived from ServiceHandler interface class.

PEER_ACCEPTOR is the type of concrete Socket class - particular transport mechanism used by the Acceptor to passively establish the connection. It should be derived from Socket interface class.

See also
  Reactor
  ServiceHandler

Definition in file Acceptor.h.

## Macro Definition Documentation

## PA

#define PA PEER_ACCEPTOR

Definition at line 135 of file Acceptor.h.

Referenced by ASSA::Acceptor< SERVICE_HANDLER, PEER_ACCEPTOR >::activateServiceHandler(), and ASSA::Acceptor< SERVICE_HANDLER, PEER_ACCEPTOR >::handle_read().

## SH

#define SH SERVICE_HANDLER

Definition at line 134 of file Acceptor.h.

Referenced by ASSA::Acceptor< SERVICE_HANDLER, PEER_ACCEPTOR >::activateServiceHandler(), and ASSA::Connector< SERVICE_HANDLER, PEER_CONNECTOR >::connect().